# Method: documents.moderateText

- [HTTP request](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.ModerateTextResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#body.aspect)
- [ModelVersion](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#ModelVersion)
- [Try it!](https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#try-it)

Moderates a document for harmful and sensitive categories.

### HTTP request

`POST https://language.googleapis.com/v2/documents:moderateText`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "document": { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents#Document`) }, "modelVersion": enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#ModelVersion`) } ``` |

| Fields ||
|---|---|
| `document` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents#Document`)`` Required. Input document. |
| `modelVersion` | ``enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/documents/moderateText#ModelVersion`)`` Optional. The model version to use for documents.moderateText. |

### Response body

The document moderation response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "moderationCategories": [ { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/ClassificationCategory`) } ], "languageCode": string, "languageSupported": boolean } ``` |

| Fields ||
|---|---|
| `moderationCategories[]` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v2/ClassificationCategory`)`` Harmful and sensitive categories representing the input document. |
| `languageCode` | `string` The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See \[Document.language\]\[\] field for more details. |
| `languageSupported` | `boolean` Whether the language is officially supported. The API may still return a response when the language is not supported, but it is on a best effort basis. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-language`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## ModelVersion

The model version to use for documents.moderateText.

| Enums ||
|---|---|
| `MODEL_VERSION_UNSPECIFIED` | The default model version. |
| `MODEL_VERSION_1` | Use the v1 model, this model is used by default when not provided. The v1 model only returns probability (confidence) score for each category. |
| `MODEL_VERSION_2` | Use the v2 model. The v2 model only returns probability (confidence) score for each category, and returns severity score for a subset of the categories. |